<?php
$num = isset($row['num']) ? $row['num'] : '';
$memo = isset($row['memo']) ? $row['memo'] : '';
$is_deleted = isset($row['is_deleted']) ? $row['is_deleted'] : null;
$searchtag = isset($row['searchtag']) ? $row['searchtag'] : '';
$update_log = isset($row['update_log']) ? $row['update_log'] : '';
$parentnum = isset($row['parentnum']) ? $row['parentnum'] : '';
$registration_date = isset($row['registration_date']) ? $row['registration_date'] : '';
$imgdata = isset($row['imgdata']) ? $row['imgdata'] : '';
$itemName = isset($row['itemName']) ? $row['itemName'] : '';
$material = isset($row['material']) ? $row['material'] : '';
$item_sep = isset($row['item_sep']) ? $row['item_sep'] : '';
$item_bending = isset($row['item_bending']) ? $row['item_bending'] : '';
$item_spec = isset($row['item_spec']) ? $row['item_spec'] : '';
$inputList = isset($row['inputList']) ? json_decode($row['inputList'], true) : [];
$bendingrateList = isset($row['bendingrateList']) ? json_decode($row['bendingrateList'], true) : [];
$colorList = isset($row['colorList']) ? json_decode($row['colorList'], true) : [];
$AList = isset($row['AList']) ? json_decode($row['AList'], true) : [];
$sumList = isset($row['sumList']) ? json_decode($row['sumList'], true) : [];
$widthsum = isset($row['widthsum']) ? $row['widthsum'] : 0;
$model_UA = $row['model_UA'] ?? '' ;
$author = $row['author'] ?? '' ;
$search_keyword = $row['search_keyword'] ?? '' ;

// 새로추가한 항목 케이스관련 컬럼
$exit_direction = $row['exit_direction'] ?? '';
$front_bottom_width = $row['front_bottom_width'] ?? '';
$rail_width = $row['rail_width'] ?? '';
$box_width = $row['box_width'] ?? '';
$box_height = $row['box_height'] ?? '';
?>
